Subject: Re: bug#46986: 28.0.50; project.el: project-switch-project: dispatch menu bindings missing

From: Terje Larsen <[email-masked]>
Date: Mon, 8 Mar 2021 21:58:35 +0100

The value of project-switch-commands:

((project-find-file "Find file")
 (project-find-regexp "Find regexp")
 (project-dired "Dired")
 (project-vc-dir "VC-Dir")
 (project-eshell "Eshell"))

The value of project-switch-project on step 3 is only "... (choose
directory)" as I run this in an isolated environment without any
previous projects loaded/added (e.g. no project-list-file).

See attached screenshot of what step 6 looks like.

I think this is a regression in Emacs, I just tested to load the newer
project.el in an older version:
GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24,
cairo version 1.16.0)

And then both the display is correct and the bindings work. However in
the version which I reported the bug for it still does not work.

So to clarify the issue seems to be with:
In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.24, cairo version 1.16.0)
Repository revision: f476e282d2420132aff38ba142feffbac011a321

On Mon, Mar 8, 2021 at 4:12 AM Dmitry Gutov <[email-masked]> wrote:
>
> Hi Terje,
>
> On 07.03.2021 11:48, Terje Larsen wrote:
> > 1. emacs -Q
> > 2. M-x
> > 3. project-switch-project
> > 4. Select '... (choose a dir)'
> > 5. Navigate to a project directory and press enter
> > 6. You are presented with a dispatch menu showing all the available
> > options from 'project-switch-commands', but the keys are not displayed
> > but instead the commands and even if you manually look up the keys
> > connected to these commands pressing those keys doesn't work as
> > well. Only thing that I found worked in this menu was 'C-g' to cancel.
> >
> > I have never used this feature before, so I am not sure what is supposed
> > to happen, but I saw a screenshot of the feature showing the keys
> > presented and I presume when I press any one of those keys ('f' for
> > example) I will be taken to the corresponding command for the project.
>
> That's odd. I can't reproduce. Can anybody else here?
>
> What's your value of project-switch-project on step 3?
>
> How does the dispatch menu look on step 6? Could you make a screenshot?

-- 
// Terje Larsen